QGIS Application - Bug report #1774
man page missing for qgis.db.connect-login.pg.py
2009-07-13 10:31 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11834
Description

Cannot find man page /ust/lib/grass64/docs/html/qgis.db.connect-login.pg.py

This is not in the documentation of GRASS; perhaps a link to db.connect man page would suffice

Associated revisions

Revision 650b51b9 - 2009-07-15 10:26 AM - Lorenzo Masini

Added the possibility to specify the manpage of the modules into .qgm files.

Updated .qgm files for qgis.r.externa.all, qgis.v.out.ogr.pg and qgis.db.connect-login.pg to fix #1774.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11078 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 5a16e791 - 2009-07-15 10:26 AM - Lorenzo Masini

Added the possibility to specify the manpage of the modules into .qgm files.

Updated .qgm files for qgis.r.externa.all, qgis.v.out.ogr.pg and qgis.db.connect-login.pg to fix #1774.

git-svn-id: http://svn.osgeo.org/qgis/trunk@11078 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-07-15 01:23 AM - Lorenzo Masini
- Status changed from Open to In Progress

The manpage is determined by the "module" attribute in the .qgm file.

The plug-in loads the html file built in this manner:

GISBASE/docs/html/$modulename.html

So the manpage is displayed only for the standard modules.

#2 - 2009-07-15 01:28 AM - Lorenzo Masini
- Resolution set to fixed
http://svn.osgeo.org/qgis/trunk/qgis@11078
http://svn.osgeo.org/qgis/trunk@11078

- Status changed from In Progress to Closed

Added "manual” attribute to specify a manpage for no-standard modules.

Fixed in commit:5a16e791 (SVN r11079).
